# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v1.1.7](https://github.com/ljharb/Array.prototype.every/compare/v1.1.6...v1.1.7) - 2024-12-11

### Commits

- [actions] split out node 10-20, and 20+ [`5256a8f`](https://github.com/ljharb/Array.prototype.every/commit/5256a8fe6ea025f8afdea732026f3e2bea764fc1)
- [Dev Deps] update `@es-shims/api`, `@ljharb/eslint-config`, `auto-changelog`, `globalthis`, `tape` [`0d34a75`](https://github.com/ljharb/Array.prototype.every/commit/0d34a752c418c25e9cda7e665c9554cd74a03c9c)
- [Refactor] use `call-bound` instead of `call-bind` [`f4b1eca`](https://github.com/ljharb/Array.prototype.every/commit/f4b1ecab6b58691bd33f37b71f450ae3796a250e)
- [Deps] update `call-bind`, `es-abstract`, `is-string` [`4e893eb`](https://github.com/ljharb/Array.prototype.every/commit/4e893eb8fa1fa187cd1f613155663947f2dcff90)
- [Tests] replace `aud` with `npm audit` [`96d1c28`](https://github.com/ljharb/Array.prototype.every/commit/96d1c28ee1bf458d7798d67bc5534871cea2083f)
- [Dev Deps] add missing peer dep [`7152082`](https://github.com/ljharb/Array.prototype.every/commit/7152082129313297d98893be9baafa07b03843ea)

## [v1.1.6](https://github.com/ljharb/Array.prototype.every/compare/v1.1.5...v1.1.6) - 2024-03-16

### Commits

- [Refactor] update `es-abstract`, use `es-object-atoms` [`536750d`](https://github.com/ljharb/Array.prototype.every/commit/536750d5942f77cfc58bd92243a2cee3ce4028da)
- [Dev Deps] update `aud`, `npmignore`, `tape` [`cd4fd18`](https://github.com/ljharb/Array.prototype.every/commit/cd4fd185132ecd474768b45abcdd239db4554df3)

## [v1.1.5](https://github.com/ljharb/Array.prototype.every/compare/v1.1.4...v1.1.5) - 2023-08-27

### Commits

- [Deps] update `define-properties`, `es-abstract` [`982cc25`](https://github.com/ljharb/Array.prototype.every/commit/982cc2536281d5619a46c423da2095cd1968d6bf)
- [Dev Deps] update `@es-shims/api`, `@ljharb/eslint-config`, `aud`, `tape` [`89b319c`](https://github.com/ljharb/Array.prototype.every/commit/89b319cbb22fd7ef3b4bab7d370ae84d3ef76cbb)

## [v1.1.4](https://github.com/ljharb/Array.prototype.every/compare/v1.1.3...v1.1.4) - 2022-11-02

### Commits

- [actions] reuse common workflows [`6546653`](https://github.com/ljharb/Array.prototype.every/commit/6546653609c01fa84892c34c24589748d801e876)
- [meta] use `npmignore` to autogenerate an npmignore file [`ba0fd04`](https://github.com/ljharb/Array.prototype.every/commit/ba0fd04440f3873328557785d99d049f82fee04c)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `@es-shims/api`, `safe-publish-latest`, `tape` [`b25d031`](https://github.com/ljharb/Array.prototype.every/commit/b25d031f58bee50923dd71c5f1f3ef60b166fcb1)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `auto-changelog`, `functions-have-names`, `globalthis`, `tape` [`3414668`](https://github.com/ljharb/Array.prototype.every/commit/34146683190043930b3b84f4e33c4c744d574401)
- [Deps] update `define-properties`, `es-abstract` [`4cf6ff7`](https://github.com/ljharb/Array.prototype.every/commit/4cf6ff7b4fa0b076ffbc122271bd2c181149a5e3)
- [actions] update rebase action to use reusable workflow [`6d80fe3`](https://github.com/ljharb/Array.prototype.every/commit/6d80fe3cac18bf1b012c1658f911515a1c90acdc)
- [actions] update codecov uploader [`107705f`](https://github.com/ljharb/Array.prototype.every/commit/107705f3eb0afd76d90bf732b5b4b4be25e33f85)
- [Deps] update `es-abstract` [`4e9fc6b`](https://github.com/ljharb/Array.prototype.every/commit/4e9fc6b5741d24d34e689e40a487b1f1337e1929)

## [v1.1.3](https://github.com/ljharb/Array.prototype.every/compare/v1.1.2...v1.1.3) - 2021-10-01

### Commits

- [actions] use `node/install` instead of `node/run`; use `codecov` action [`9fe3d0a`](https://github.com/ljharb/Array.prototype.every/commit/9fe3d0a0f588c8a41a2844531bcd7fe17b18c356)
- [Deps] update `es-abstract`, `is-string` [`55222d7`](https://github.com/ljharb/Array.prototype.every/commit/55222d792062e61875b7748c168ae7ef6baa6f42)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `@es-shims/api`, `aud`, `auto-changelog`, `tape` [`dc6a021`](https://github.com/ljharb/Array.prototype.every/commit/dc6a021a2cda8bccd48d858a1eb97b7a4b71ae67)
- [actions] update workflows` [`d1d4c0a`](https://github.com/ljharb/Array.prototype.every/commit/d1d4c0a6c3232826f3bb6fceed92d12e1718d7da)
- [readme] add github actions/codecov badges [`b215e97`](https://github.com/ljharb/Array.prototype.every/commit/b215e97d0cfa4d84131f4fa41396999f78fcc08d)
- [Dev Deps] update `eslint`, `tape` [`6e28cc4`](https://github.com/ljharb/Array.prototype.every/commit/6e28cc4b157bb3ab57a63052c2968a1d333a3762)
- [Tests] use `globalthis` package [`0c52785`](https://github.com/ljharb/Array.prototype.every/commit/0c52785a405a178d58e521dc33dde92926cc3b42)
- [meta] use `prepublishOnly`, for npm 7+ [`e31ea04`](https://github.com/ljharb/Array.prototype.every/commit/e31ea04867b3aaa05f927b4b6e8f6e737ac830d1)
- [Tests] increase coverage [`514fca3`](https://github.com/ljharb/Array.prototype.every/commit/514fca32f0c17df5f22a562648faa5306160f630)
- [Deps] update `es-abstract` [`eea3f0b`](https://github.com/ljharb/Array.prototype.every/commit/eea3f0b2e92056c2684304ce7a0ed5f4983a66ea)
- [meta] remove `audit-level` [`26c8903`](https://github.com/ljharb/Array.prototype.every/commit/26c8903bfe19a7b7b15e712c114f9fe4df7c229f)

## [v1.1.2](https://github.com/ljharb/Array.prototype.every/compare/v1.1.1...v1.1.2) - 2021-02-22

### Commits

- [meta] do not publish Github Action workflows [`875e44c`](https://github.com/ljharb/Array.prototype.every/commit/875e44c72398622faf1f1c7deee3a7bbfe86e7cf)
- [readme] remove travis badge [`42a8e90`](https://github.com/ljharb/Array.prototype.every/commit/42a8e9032d0f33ec7e911fd9b1c911c61486efb2)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `functions-have-names`, `has-strict-mode`, `tape` [`81950f0`](https://github.com/ljharb/Array.prototype.every/commit/81950f0d117133270734e9a063b5b0b85d34b1f8)
- [actions] update workflows [`f000ae2`](https://github.com/ljharb/Array.prototype.every/commit/f000ae2535ca2f04111feb911e9bde432fc1ce3f)
- [Deps] update `call-bind`, `es-abstract` [`b4cce25`](https://github.com/ljharb/Array.prototype.every/commit/b4cce25e45db0b6ea69ab2231212687b8daf5689)

## [v1.1.1](https://github.com/ljharb/Array.prototype.every/compare/v1.1.0...v1.1.1) - 2020-11-17

### Commits

- [meta] remove testling html file [`0e4e3d1`](https://github.com/ljharb/Array.prototype.every/commit/0e4e3d1c77d62d06ff40bc1564cbc6dceef8c143)
- [Tests] migrate tests to Github Actions [`e107da3`](https://github.com/ljharb/Array.prototype.every/commit/e107da3a07898cf7c76f44b0193fbcc8bed38638)
- [Deps] update `es-abstract`; add `call-bind` [`21e8cbf`](https://github.com/ljharb/Array.prototype.every/commit/21e8cbf2071b3c1a06f6e72f946b5729e9eae356)
- [Tests] use `callBind` from `es-abstract` instead of `function-bind` [`13e3287`](https://github.com/ljharb/Array.prototype.every/commit/13e32876983dd43c0d598962d3afddb0017e9705)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `auto-changelog`, `tape` [`76384a5`](https://github.com/ljharb/Array.prototype.every/commit/76384a5a10eaf4556431f97a7200b13e15f0ee32)
- [Tests] run `nyc` on all tests [`add52e1`](https://github.com/ljharb/Array.prototype.every/commit/add52e14441cb2cff384431305cbea62c73eb9da)
- [actions] add "Allow Edits" workflow [`72f2ee9`](https://github.com/ljharb/Array.prototype.every/commit/72f2ee94179dd906025afc6a6d58b54c7497d1bb)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `tape`, `functions-have-names` [`3a06d5f`](https://github.com/ljharb/Array.prototype.every/commit/3a06d5f1258ca346f075c3e87750ea5172ccb9a2)
- [Tests] run all tests with `tape` [`3fd6259`](https://github.com/ljharb/Array.prototype.every/commit/3fd6259ecdbc26750982c20dca0b9379552dc674)
- [Tests] run es-shim-api postlint [`ce2442b`](https://github.com/ljharb/Array.prototype.every/commit/ce2442b74675a072dfe905a308ce87d9584ca921)
- [actions] switch Automatic Rebase workflow to `pull_request_target` event [`69feacd`](https://github.com/ljharb/Array.prototype.every/commit/69feacdb425c7d0c77e406829cbfde6164b3aedb)
- [Dev Deps] update `auto-changelog`; add `aud` [`ea2f06c`](https://github.com/ljharb/Array.prototype.every/commit/ea2f06c4d6546e973affcffb58256e0a9235796a)
- [Tests] only audit prod deps [`ca6b33a`](https://github.com/ljharb/Array.prototype.every/commit/ca6b33a08268059bcca9c076a134c215601c20d7)
- [Deps] update `es-abstract` [`cc9aa32`](https://github.com/ljharb/Array.prototype.every/commit/cc9aa322e654ab7f36b8abb685768a1dc4b35b66)
- [Dev Deps] update `tape` [`f2eea1c`](https://github.com/ljharb/Array.prototype.every/commit/f2eea1c57307828f8f951edcb788b1db7246b827)
- [Deps] update `es-abstract` [`4955e29`](https://github.com/ljharb/Array.prototype.every/commit/4955e2908cd2993fcc65c7488ecaf7e3b7f8c9f2)

## [v1.1.0](https://github.com/ljharb/Array.prototype.every/compare/v1.0.0...v1.1.0) - 2019-12-18

### Commits

- [Tests] use shared travis-ci configs [`f23f741`](https://github.com/ljharb/Array.prototype.every/commit/f23f741bfe061abd95ef4ca8a2de769bb21228a8)
- [Tests] up to `node` `v12.6`, `v10.16`, `v9.11`, `v8.16`, `v7.10`, `v6.17`, `v4.9`; use `nvm install-latest-npm` [`680c7eb`](https://github.com/ljharb/Array.prototype.every/commit/680c7ebc332ed93171e3e56e657147f2639e946e)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `evalmd`, `functions-have-names`, `replace`, `safe-publish-latest`, `semver` [`d98b942`](https://github.com/ljharb/Array.prototype.every/commit/d98b942bd10fbae61741ab7314132d694d51e29b)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `@es-shims/api`, `covert`, `function-bind`, `replace`, `safe-publish-latest`, `semver`, `tape` [`e4bc0bd`](https://github.com/ljharb/Array.prototype.every/commit/e4bc0bde8f5d790435fe41482c364b6927c58f67)
- [meta] add `auto-changelog` [`8277082`](https://github.com/ljharb/Array.prototype.every/commit/827708274f068c7a91ab92a6a3bc2e97a5b99d2b)
- [Tests] add `has-strict-mode` [`5149665`](https://github.com/ljharb/Array.prototype.every/commit/5149665cdc067e0586e4e6b5a79b816da155868b)
- [Tests] up to `node` `v13.0`, `v12.13`, `v10.17` [`0c86b0a`](https://github.com/ljharb/Array.prototype.every/commit/0c86b0a28e4bb49c905dab6591c1baef2b5d5a9c)
- [meta] move repo to es-shims org [`163074c`](https://github.com/ljharb/Array.prototype.every/commit/163074c9a7147c86db23b40e95e0d7686e834d2c)
- [Refactor] use split-up `es-abstract` (78% bundle size decrease) [`36e8b70`](https://github.com/ljharb/Array.prototype.every/commit/36e8b709fe0d079d84683591e44a9333e9fcb48d)
- [actions] add automatic rebasing / merge commit blocking [`4b651dc`](https://github.com/ljharb/Array.prototype.every/commit/4b651dca6293805a2a391efb158d29e857a6d401)
- [meta] create FUNDING.yml [`c10ee25`](https://github.com/ljharb/Array.prototype.every/commit/c10ee25ec7bfcce16d4c5bdc564a54f96f863719)
- [Deps] update `es-abstract` [`27f30c2`](https://github.com/ljharb/Array.prototype.every/commit/27f30c20f6d1708a3058d824c96ebb0ab224093e)
- [meta] clean up scripts [`019af7a`](https://github.com/ljharb/Array.prototype.every/commit/019af7ae101bd4bb7d5503d8dad9209fa337a80d)
- [Tests] use `npx aud` instead of `nsp` or `npm audit` with hoops [`8d2af53`](https://github.com/ljharb/Array.prototype.every/commit/8d2af53894560c2f368864cdc5f78769e811ccf2)
- [Dev Deps] update `eslint`, `tape` [`f6b1877`](https://github.com/ljharb/Array.prototype.every/commit/f6b187724174d98835c1ad8f962283112bf6440f)
- Only apps should have lockfiles [`3b2c8aa`](https://github.com/ljharb/Array.prototype.every/commit/3b2c8aad03cfac7ccc43f63d0f0c390afa190948)
- [Deps] update `es-abstract`, `is-string` [`f12e77c`](https://github.com/ljharb/Array.prototype.every/commit/f12e77c085f29006dfc3b2f40eaf7a09897250f1)
- [Dev Deps] update `@ljharb/eslint-config`, `safe-publish-latest` [`54046af`](https://github.com/ljharb/Array.prototype.every/commit/54046affb4ffd06a9bf42e0a2e4ae17e68892dc5)
- [Deps] update `define-properties`, `es-abstract` [`c8c874e`](https://github.com/ljharb/Array.prototype.every/commit/c8c874edfdc48696fc634062b8cce49da6d02a4e)
- [Dev Deps] add `safe-publish-latest` [`9fe7d43`](https://github.com/ljharb/Array.prototype.every/commit/9fe7d43a3fe852ea338f16e802bcfa5468ab38c2)
- [meta] add `funding` field [`ad8fb71`](https://github.com/ljharb/Array.prototype.every/commit/ad8fb71595965069a464877c19741100c43288fe)
- [Tests] use `functions-have-names` [`0f085de`](https://github.com/ljharb/Array.prototype.every/commit/0f085de7ee63e7722708c05d35037de17a8d2d0a)
- [New] add `auto` entry point [`f98b657`](https://github.com/ljharb/Array.prototype.every/commit/f98b65796f40f6190b84ab8130d9d677bba0b099)
- [Dev Deps] remove unused deps [`d7a5dbc`](https://github.com/ljharb/Array.prototype.every/commit/d7a5dbc08e4b6456c0586cdec5896dbd95a6f249)
- [Tests] temporarily allow coverage tests to fail, due to a bug in covert [`9e4096e`](https://github.com/ljharb/Array.prototype.every/commit/9e4096e4f867d7690a6b0d76ca7bbe83a5395791)

## v1.0.0 - 2016-11-22

### Commits

- [Tests] Add `npm run testling` and `test.html` [`4941807`](https://github.com/ljharb/Array.prototype.every/commit/49418077a5e5c5173d4edf444d9983772d8d31c4)
- Tests. [`7f72537`](https://github.com/ljharb/Array.prototype.every/commit/7f725378a8a79bc5377f58d2ae0b0612934016ee)
- Dotfiles. [`98007a6`](https://github.com/ljharb/Array.prototype.every/commit/98007a63cc48287cfa556ffe45e5a740b630c82d)
- package.json [`a10e8ed`](https://github.com/ljharb/Array.prototype.every/commit/a10e8ede4d1e54ef1bc783d04d2a69bec17c09fe)
- Implementation. [`ffaf377`](https://github.com/ljharb/Array.prototype.every/commit/ffaf377997f7dc35ac88f091964ceb19f8c423f8)
- Read me. [`4c018f8`](https://github.com/ljharb/Array.prototype.every/commit/4c018f8e2f512614644924e0e70126f81f30a73f)
- Initial commit [`e0f9736`](https://github.com/ljharb/Array.prototype.every/commit/e0f9736fa25f838b35c28e8462019a47c53bf92f)
- [Tests] allow coverage tests to fail, for now. [`5b57f41`](https://github.com/ljharb/Array.prototype.every/commit/5b57f4123a3a207952eed05cbf411f77bc93c59f)
